"""
Installs the exception formatter into Django's BaseHandler

$Id: installer.py,v 1.4 2005/10/30 17:29:55 stefan Exp $
"""

from os import environ
from sys import exc_info
from exceptionformatter import format_exception

def _get_traceback(self):
    "Helper function to return the traceback as a string"
    try:
        e, v, tb = exc_info()
        return '\n'.join(format_exception(e, v, tb))
    finally:
        e = v = tb = None

if environ.get('DJANGO_SETTINGS_MODULE'):
    from django.core.handlers.base import BaseHandler
    BaseHandler._get_traceback = _get_traceback

